cryptol-3.0.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe-Inferred
Language | Haskell2010

Cryptol.Utils.Types

Description

Useful information about various types.

Synopsis

- float32ExpPrec :: (Integer, Integer)
- float64ExpPrec :: (Integer, Integer)

# Documentation

float32ExpPrec :: (Integer, Integer) Source #

Exponent and precision of 32-bit IEEE-754 floating point.

float64ExpPrec :: (Integer, Integer) Source #

Exponent and precision of 64-bit IEEE-754 floating point.